Bug 128857 - USB error messages
USB error messages
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
ia64 Linux
medium Severity low
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-30 12:22 EDT by Alex Williamson
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-25 20:22:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Williamson 2004-07-30 12:22:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040719 Firefox/0.9.1

Description of problem:
HP rx2620/rx2600 systems see these kind of messages on bootup:

usb.c: USB device 2 (vend/prod 0x47b/0x2) is not claimed by any active
driver.
PCI: Found IRQ 51 for device 00:01.2
ehci-hcd 00:01.2: NEC Corporation USB 2.0
ehci-hcd 00:01.2: irq 51, pci mem c000000080000000
usb.c: new USB bus registered, assigned bus number 3
ehci-hcd 00:01.2: USB 2.0 enabled, EHCI 0.95, driver 2003-Jan-22
hub.c: USB hub found
hub.c: 5 ports detected
usb.c: error getting string descriptor 0 (error=-110)
usb.c: error getting string descriptor 0 (error=-110)
usb.c: error getting string descriptor 0 (error=-110)
usb.c: error getting string descriptor 0 (error=-110)

USB still works, but the messages are annoying

Version-Release number of selected component (if applicable):
kernel-2.4.21-15.EL

How reproducible:
Always

Steps to Reproduce:
1. Boot rx2600 w/ USB mouse & keyboard
2.
3.
    

Actual Results:  benign (I assume) error messages

Expected Results:  no errors

Additional info:  Problem actually seen on RHEL3U1
Comment 1 Pete Zaitcev 2005-10-18 04:29:42 EDT
Surely this is related to a particular keyboard?

I had quite a bit of trouble with HP keyboard in the past.
A Compaq keyboard, IIRC, was the one which caused QUIRK_NOGET
to be added in the first place.
Comment 2 Pete Zaitcev 2006-07-25 20:22:38 EDT
I'm going to close this. Please file a bug against a current release if this
is still a problem. It's possible that the RHEL 4 prints those messages too,
although it's hard to be sure without trying.

As a side note, I was wrong to associage fetching of string descriptors with
the NOGET quirk, which governs fetching of HID reports.

Note You need to log in before you can comment on or make changes to this bug.